# Function to plot the results of benchmark.
# 

function benchplot (table, compare)
rules 	= [0:20:140];
r	= rules';
pksize	= [32 64 128 256 1472];
p	= pksize';
t	= table;

for i=1:length(pksize),
	for j=1:length(rules), 
		x(i,j)=pksize(i)+(rules(j)*15);, 
	end
end

y   = [x(:,1), compare(1,:)'];

for i=1:length(pksize),
	for j=1:length(rules), 
		x(i,j)=pksize(i)+(rules(j)*15)+300;, 
	end
end

c32 = [x(1,:)', t(:,1)];
c64 = [x(2,:)', t(:,2)];
c128 = [x(3,:)', t(:,3)];
c256 = [x(4,:)', t(:,4)];
c1472 = [x(5,:)', t(:,5)];

r0   = [x(:,1), t(1,:)'];
r20  = [x(:,2), t(2,:)'];
r40  = [x(:,3), t(3,:)'];
r60  = [x(:,4), t(4,:)'];
r80  = [x(:,5), t(5,:)'];
r100 = [x(:,6), t(6,:)'];
r120 = [x(:,7), t(7,:)'];
r140 = [x(:,8), t(8,:)'];


gplot 	y  title "no PF" with linespoints,\
	r0 title "0 rules" with linespoints,\
	r20 title "20 rules" with linespoints,\
	r40 title "40 rules" with linespoints,\
	r60 title "60 rules" with linespoints,\
	r80 title "80 rules" with linespoints,\
	r100 title "100 rules" with linespoints,\
	r120 title "120 rules" with linespoints,\
	r140 title "140 rules" with linespoints,\
	c32 title "32b packet" with lines,\
	c64 title "64b packet" with lines,\
	c128 title "128b packet" with lines,\
	c256 title "256b packet" with lines,\
	c1472 title "1472b packet" with lines

endfunction


