# Function to plot the results of benchmark.
# 

function benchplot2(t1, c1, t2, c2, c2start)
rules 	= [0:20:140];
r	= rules';
pksize	= [32 64 128 256 1472];
p	= pksize';
t	= t1;

for i=1:length(pksize),
	for j=1:length(rules), 
		x(i,j)=pksize(i)+(rules(j)*15);, 
	end
end

y   = [x(:,1), c1(1,:)'];

for i=1:length(pksize),
	for j=1:length(rules), 
		x(i,j)=pksize(i)+(rules(j)*15)+300;, 
	end
end

c32 = [x(1,:)', t(:,1)];
c64 = [x(2,:)', t(:,2)];
c128 = [x(3,:)', t(:,3)];
c256 = [x(4,:)', t(:,4)];
c1472 = [x(5,:)', t(:,5)];

r0   = [x(:,1), t(1,:)'];
r20  = [x(:,2), t(2,:)'];
r40  = [x(:,3), t(3,:)'];
r60  = [x(:,4), t(4,:)'];
r80  = [x(:,5), t(5,:)'];
r100 = [x(:,6), t(6,:)'];
r120 = [x(:,7), t(7,:)'];
r140 = [x(:,8), t(8,:)'];

# Table 2
t = t2;

for i=1:length(pksize),
	for j=1:length(rules), 
		x(i,j)=pksize(i)+(rules(j)*15)+c2start;, 
	end
end

y2   = [x(:,1), c2(1,:)'];

for i=1:length(pksize),
	for j=1:length(rules), 
		x(i,j)=pksize(i)+(rules(j)*15)+c2start+300;, 
	end
end

c2_c32 = [x(1,:)', t(:,1)];
c2_c64 = [x(2,:)', t(:,2)];
c2_c128 = [x(3,:)', t(:,3)];
c2_c256 = [x(4,:)', t(:,4)];
c2_c1472 = [x(5,:)', t(:,5)];

c2_r0   = [x(:,1), t(1,:)'];
c2_r20  = [x(:,2), t(2,:)'];
c2_r40  = [x(:,3), t(3,:)'];
c2_r60  = [x(:,4), t(4,:)'];
c2_r80  = [x(:,5), t(5,:)'];
c2_r100 = [x(:,6), t(6,:)'];
c2_r120 = [x(:,7), t(7,:)'];
c2_r140 = [x(:,8), t(8,:)'];


hold off
grid 
#set function style linespoints
#set data style linespoints
gplot 	y       t "no PF" w linespoints 1 1,\     
	r0      t "0 rules" w linespoints 2 2,\   
	r20     t "20 rules" w linespoints 3 3,\  
	r40     t "40 rules" w linespoints 4 4,\  
	r60     t "60 rules" w linespoints 5 5,\  
	r80     t "80 rules" w linespoints 6 6,\  
	r100    t "100 rules" w linespoints 7 7,\ 
	r120    t "120 rules" w linespoints 8 8,\ 
	r140    t "140 rules" w linespoints 9 9,\
	c32 t "32b packet" w lines 1,\
	c64 t "64b packet" w lines 2,\
	c128 t "128b packet" w lines 3,\
	c256 t "256b packet" w lines 4,\
	c1472 t "1472b packet" w lines 5

hold on
gplot	y2      t "" w linespoints 1 1,\     
	c2_r0   t "" w linespoints 2 2,\   
	c2_r20  t "" w linespoints 3 3,\  
	c2_r40  t "" w linespoints 4 4,\  
	c2_r60  t "" w linespoints 5 5,\  
	c2_r80  t "" w linespoints 6 6,\  
	c2_r100 t "" w linespoints 7 7,\ 
	c2_r120 t "" w linespoints 8 8,\ 
	c2_r140 t "" w linespoints 9 9,\
	c2_c32 t "" w lines 1,\
	c2_c64 t "" w lines 2,\
	c2_c128 t "" w lines 3,\
	c2_c256 t "" w lines 4,\
	c2_c1472 t "" w lines 5
endfunction


